Subject: devel-digest V2 #197
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest          Tuesday, June 15 1999          Volume 02 : Number 197

In this issue:

    JNI on a netwinder ?
    Re: JNI on a netwinder ?
    JNI on a netwinder ?
    Re: JNI on a netwinder ? 
    Re: video capture
    Netatalk under 2.2.x
    Re: JNI on a netwinder ?

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Mon, 14 Jun 1999 13:34:02 +0730 (SST)
From: Amlan Saha <[email-masked]>
Subject: JNI on a netwinder ?

Hi people

Has anybody been able to get the JNI interface working on a 
Netwinder or any other SA-1100 platform ? I wrote a java wrapper
for some of my native C-routines and used JNI to export them from
the C shared object library.  This works fine in my Intel machine,
however, the compilation for the C-shared object library fails 
on the Netwinder while looking for jni.h, which on my Intel is a
part of the JNI that comes with Kaffe.

Incidentally, the Netwinder runs the JRE/JDK by Corel (ported 
under license from SUN).  But I could not locate that particular
header file anywhere in the package.

Could I be missing out something ? Or any pointers for me ?

Yours truly
- -Amlan.

- -- 
Amlan Saha 		      [email-masked], [email-masked]
Mobile Computing and Protocols Group  
Center for Wireless Comms, 20 Science Park Rd, Singapore 117674
+65.8709.265 (Tel) +65.779.5441 (Fax)   **I speak only for myself**

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 14 Jun 1999 10:21:43 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: JNI on a netwinder ?

Amlan Saha wrote:
> Incidentally, the Netwinder runs the JRE/JDK by Corel (ported
> under license from SUN).  But I could not locate that particular
> header file anywhere in the package.
> 
> Could I be missing out something ? Or any pointers for me ?

Quite likely, as I personally have no knowledge of us officially shipping
JRE as a product, though you may have an evaluation unit (or I could
just be in the dark again).

- --
Andrew E. Mileski - Software Engineer
Rebel.com  http://www.rebel.com/

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 14 Jun 1999 09:56:58 -0700 (PDT)
From: Dirk Grunwald <[email-masked]>
Subject: JNI on a netwinder ?

>>>>> "AS" == Amlan Saha <[email-masked]> writes:
AS> Has anybody been able to get the JNI interface working on a 
AS> Netwinder or any other SA-1100 platform ? I wrote a java wrapper
- --

I don't know about the Corel JDK/JRE, but we've recently finished the
ARM JIT for Kaffe, and are putting the finishing touches on
it. Although the development started with the "custom" Kaffe edition,
the JIT will be released for public version as well.

One question for 'winder people - later versions of the ARM kernel
have a cache flush interface accessed by "swi 0x9f0002". The 'winder
kernel on my systems (2.0.35, I think) doesn't have this interface.

I'm trying to find a mechanism to identify if the kernel has a
cache-flush interface or not. I need this to automatically configure
the JIT to either use the cache flush mechanism or to call e.g.,
sched_yield to force a re-schedule and thus a cache flush.

Dirk Grunwald, visiting Compaq-WRL from Univ. of Colorado
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 14 Jun 1999 18:13:57 +0100
From: Philip Blundell <[email-masked]>
Subject: Re: JNI on a netwinder ? 

>One question for 'winder people - later versions of the ARM kernel
>have a cache flush interface accessed by "swi 0x9f0002". The 'winder
>kernel on my systems (2.0.35, I think) doesn't have this interface.
>
>I'm trying to find a mechanism to identify if the kernel has a
>cache-flush interface or not. 

Unfortunately the way unimplemented syscalls in this range used to be 
implemented made it a bit hard to test for them at runtime (as you've 
probably discovered) so about the best you can do is key on the kernel 
version.  All 2.2 kernels have sys_cacheflush; a few 2.0 do as well but 
there isn't really any way to tell which.

Rumour has it that Rebel.com will start shipping 2.2 kernels with the 
netwinder build in the fairly near future.  Since it offers rather better 
performance than 2.0 I would hope people will upgrade and we can then
consign 2.0 to outer darkness. :-)

p.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 14 Jun 1999 14:59:35 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: video capture

Steve Schwartz wrote:
> 
> Hey guys, can someone tell me how to use the video capture in this thing.
> I've never tried to deal with it before, but now I want to experiment.
> Someone a while back posted that they had set it up to capture and post to a
> web page.  That's what I'm trying to do.

Plug in any old video source (a camera, your VCR, etc) into the input...
then go to /usr/diag/vidcap and run either newdemo (for console) or
xvideum (under X) for starters... for capturing single frames, you can
try the little program source from PatB's home directory or from mine
http://www.netwinder.org/~ralphs/tmp/.  There's also MarkK's "netwinder
tv" application (look in ~markk).

- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 14 Jun 1999 14:48:56 -0700
From: Eric Perlman <[email-masked]>
Subject: Netatalk under 2.2.x

Hey,

this is somethign I had no use for until recently, but I am now back
home, and would like to be able to print to our laserprinter.  I am
currently printing to a unix machine (over isdn) which then prints back
via appletalk (again over isdn) and it is quite slow :-)

Anyways, my problem lies in that netatalk refuses to start:

Jun 14 14:41:16 slinky atalkd[209]: zip_getnetinfo for eth0
Jun 14 14:41:16 slinky atalkd[209]: zip gnireply from 22657.150 (eth0
12)
Jun 14 14:41:16 slinky atalkd[209]: setifaddr: eth0: Address already in
use

I have AppleTalk in my kernel, and as far as I can tell, nothing else
should be trying to start up appletalk earlier in the boot sequence
(there are only about 15 processes running when I log in).

I've tried recompiling the latest netatalk+asun, and the kernel...
without luck.

On an unrelated note, what do these mean?

PCI: parity error data parity error pc=[<02032B0C>]
PCI: parity error data parity error pc=[<02032B0C>]
PCI: parity error data parity error pc=[<02032B0C>]

They fill up in my dmesg.  After a week I had close to 15,000 lines...

- -eric

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: 15 Jun 1999 01:44:34 GMT
From: [email-masked] (Joel Hardy)
Subject: Re: JNI on a netwinder ?

Andrew E. Mileski <[email-masked]> wrote:
>Amlan Saha wrote:
>> Incidentally, the Netwinder runs the JRE/JDK by Corel (ported
>> under license from SUN).  But I could not locate that particular
>> header file anywhere in the package.
>> 
>> Could I be missing out something ? Or any pointers for me ?
>
>Quite likely, as I personally have no knowledge of us officially shipping
>JRE as a product, though you may have an evaluation unit (or I could
>just be in the dark again).

There was a JRE on corelcomputer.com a long time ago.  It was still a little
buggy, but much better than Kaffe (at least at that time) and it did what I
wanted it to do.  Is there any chance that Rebel.com will (re-)release it
soon?

- -- 
Joel Hardy
[email-masked]
[email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #197
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.